{pkgs, ...}: {
  programs.nix-ld = {
    enable = true;
    libraries = with pkgs; [
      # Graphics
      libGL
      vulkan-loader
      libdrm
      libgbm

      # Audio
      alsa-lib
      pulseaudio
      pipewire

      # Display / input
      libX11
      libXcursor
      libXrandr
      libXi
      libXext
      libXfixes
      wayland

      # Common runtime deps most Unity/Godot/etc games need
      libxcrypt
      glibc
      stdenv.cc.cc.lib # libstdc++
      zlib
      openssl
      curl

      # Controllers
      udev
      libevdev
    ];
  };
}
